Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"name": "annual_report.pdf"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/files/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": { "name": "annual_report.pdf" },
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'file',
attributes: {name: 'annual_report.pdf'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Update a file’s metadata or move it to a different folder.
This endpoint can be used to:
To confirm a direct upload, use POST /api/v1/files/:id/confirm instead.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"name": "annual_report.pdf"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/files/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": { "name": "annual_report.pdf" },
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'file',
attributes: {name: 'annual_report.pdf'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
file updated
Show child attributes